moeoSelectOne(3)

NAME
moeoSelectOne - Selection strategy for multi-objective optimization that selects only one element from a whole population.

SYNOPSIS

#include <moeoSelectOne.h>

Inherits eoSelectOne< MOEOT >.

Inherited by moeoDetTournamentSelect< MOEOT >, moeoRandomSelect< MOEOT >, moeoRouletteSelect< MOEOT >, moeoSelectFromPopAndArch< MOEOT >, and moeoStochTournamentSelect< MOEOT >.

Detailed Description

  template<class MOEOT> class moeoSelectOne< MOEOT >
Selection strategy for multi-objective optimization that selects only one element from a whole population.

Definition at line 22 of file moeoSelectOne.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.